#include "dbusseat.h"

// Marshall the Seat data into a D-Bus argument
QDBusArgument &operator<<(QDBusArgument &argument, const Seat &mystruct)
{
	argument.beginStructure();
	argument << mystruct.seat << mystruct.path;
	argument.endStructure();
	return argument;
}

// Retrieve the Seat data from the D-Bus argument
const QDBusArgument &operator>>(const QDBusArgument &argument, Seat &mystruct)
{
	argument.beginStructure();
	argument >> mystruct.seat >> mystruct.path;
	argument.endStructure();
	return argument;
}
