#include "dbussession.h"

// Marshall the Sessions data into a D-Bus argument
QDBusArgument &operator<<(QDBusArgument &argument, const Session &mystruct)
{
	argument.beginStructure();
	argument << mystruct.session << mystruct.uid << mystruct.username << mystruct.seat << mystruct.path;
	argument.endStructure();
	return argument;
}

// Retrieve the Sessions data from the D-Bus argument
const QDBusArgument &operator>>(const QDBusArgument &argument, Session &mystruct)
{
	argument.beginStructure();
	argument >> mystruct.session >> mystruct.uid >> mystruct.username >> mystruct.seat >> mystruct.path;
	argument.endStructure();
	return argument;
}
