#ifndef POWER_H
#define POWER_H

#include <QObject>
#include <QProcess>
#include <QDBusInterface>
#include <QDBusMessage>
#include <QBitArray>

class Power : public QObject
{
	Q_OBJECT
public:
	explicit Power(QObject *parent = 0);

	static Power * instance();

public slots:
	void suspend();
	void hibernate();
	void reboot();
	void powerOff();
};

#endif // POWER_H
