#ifndef CONSTANTS_H
#define CONSTANTS_H

#define LOCAL 0
#define REMOTE 1
#define LW 2

#define DEBUG 1

#define CONF_DIR "/etc/librework-displaymanager"
#define CONFIG_FILE CONF_DIR "/librework-displaymanager.ini"
#define SHAREDIR "/usr/share/librework-displaymanager/"
#define CLIENT_CONFIG_FILE "/etc/librework-client/librework-client.ini"
#define USER_CONFIG_FILE_NAME ".librework.ini"
#define LOG_FILE "/var/log/librework-displaymanager.log"

#define XORGCOMMAND "/usr/bin/X"
#define TMPDIR "/tmp"

#define SESSION_MANAGER "librework-desktop"
#define LIBREWORK_CLIENT "Librework-Client"
#define LIBREWORK_HOME "/home/librework"
#define LIBREWORK_USER "librework"
#define LIBREWORK_PASSWD_FILE "/var/lib/libnss-librework/passwd"
#define LIBREWORK_SHADOW_FILE "/var/lib/libnss-librework/shadow"
#define LIBREWORK_GROUP_FILE "/var/lib/libnss-librework/group"

#define VERSION 1.1

#define LIBREWORK_SERVER_DEFAULT_PORT 4445

#define TIMEOUT 15 // in seconds
#define PRESSEDKEYSTIMER 600 // in miliseconds

// Fonts
#define LIBREWORK_FONT_DIR SHAREDIR "fonts"
#define LIBREWORK_FONT "WeblySleek UI Normal"
#define LIBREWORK_FONT_BOLD "WeblySleek UI Semibold"
#define LIBREWORK_FONT_BASE_SIZE 12 // Default Librework font pixel size -> Settings::getUserValue("FontSize", QString::number(LIBREWORK_FONT_BASE_SIZE)).toInt()

#define LOGINSCREEN_OBSCURED_OPACITY 0.7
#define LOGINSCREEN_DEFAULT_TIMEOUT 30
#define FADE_OUT_TIME 1000

#endif
