#ifndef DBUSSESSION_H
#define DBUSSESSION_H

#include <QString>
#include <QList>
#include <QDBusObjectPath>
#include <QDBusArgument>

struct Session
{
	QString session;
	uint uid;
	QString username;
	QString seat;
	QDBusObjectPath path;
};

Q_DECLARE_METATYPE(Session)

QDBusArgument &operator<<(QDBusArgument &argument, const Session &mystruct);
const QDBusArgument &operator>>(const QDBusArgument &argument, Session &mystruct);

#endif
