QT       += core widgets gui network dbus

#CONFIG   += debug

TARGET= librework-displaymanager
TEMPLATE = app
target.path = /usr/bin

ICON = librework.icns
RC_FILE = icon.rc
TRANSLATIONS = es_ES.ts

data.path = /usr/share/librework-displaymanager
data.files = *.qm
conf.path = /etc/librework-displaymanager
conf.files = librework-displaymanager.ini

LIBS += -lpam -lpam_misc -llibrework-client -llwnet

SOURCES += main.cpp \
	sessionsetting.cpp \
	sharesetting.cpp \
	computersetting.cpp \
	login1.cpp \
	login1manager.cpp \
	login1session.cpp \
	login1seat.cpp \
	dbussession.cpp \
	dbusseat.cpp \
	loginscreen.cpp \
	pam.cpp \
	sysuser.cpp \
	sessionmanager.cpp \
	shares.cpp \
	settings.cpp \
	power.cpp \
	lwclient.cpp \
	logger.cpp \
	utils.cpp \
	xserver.cpp \
	pixmapframe.cpp 

HEADERS  += constants.h \
	sessionsetting.h \
	sharesetting.h \
	computersetting.h \
	login1.h \
	login1manager.h \
	login1session.h \
	login1seat.h \
	dbussession.h \
	dbusseat.h \
	loginscreen.h \
	pam.h \
	sysuser.h \
	sessionmanager.h \
	shares.h \
	settings.h \
	power.h \
	lwclient.h \
	logger.h \
	utils.h \
	xserver.h \
	pixmapframe.h

RESOURCES += \
	resources.qrc

INSTALLS += target conf data
