#ifndef UTILS_H
#define UTILS_H

#include <QFile>
#include <QDir>
#include <QFileInfo>
#include <QString>
#include <QStringList>
#include <QTextStream>

#include "constants.h"

class Utils
{
	public:
		static QString absoluteConfigFilePath(QString fileName);
		static QStringList fileToStringList(QString fileName);
		static QString resolveVariables( QString string, QStringList variables, QStringList values );
};

#endif
